Subject: bug#14627: 24.2; Vertical frame size shrinking

From: Stephen Berman <[email-masked]>
Date: Thu, 22 Aug 2013 13:32:30 +0200

On Mon, 19 Aug 2013 20:56:14 +0200 Jan Djärv <[email-masked]> wrote:

> Hello.
>
> 15 jun 2013 kl. 16:22 skrev Karl Brodowsky <[email-masked]>:
>
>> 
>> What I do:
>> start emacs
>> maximize the window
>> split with C-x 3
>> open a directory with C-x C-f /tmp
>> click on left and right half of emacs
>> The height of my emacs frame shrinks a little bit every time I do so, so
>> I am loosing about one line of text when clicking to the left half and
>> back to the right half.
>
> I can't reproduce this on OpenSuse 12.3, with 24.2 or the trunk.
> What dont do you use, and what is your screen size?
> You did not mention what window manager you run, I used kwin. 

I don't see the shrinking with the OP's recipe, but I do see it if,
instead of `C-x C-f /tmp RET', I do `C-h i' to open Info: switching
between the Info and scratch windows shrinks the maximized frame
vertically.

In GNU Emacs 24.3.50.3 (x86_64-suse-linux-gnu, GTK+ Version 3.4.4)
 of 2013-08-07 on rosalinde
Bzr revision: 113738 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11203000
System Description:	openSUSE 12.2 (x86_64)

Qt: 4.8.4
KDE Development Platform: 4.9.5 "release 4"
KWin: 4.9.5 "release 4"

Configured using:
 `configure --without-toolkit-scroll-bars CFLAGS=-g3 -O0'

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Steve Berman
(I may not be able to follow up for a week or so.)